summaryrefslogtreecommitdiffstats
path: root/source/xap/fvwm/fvwm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/fvwm/fvwm.SlackBuild')
-rwxr-xr-xsource/xap/fvwm/fvwm.SlackBuild11
1 files changed, 3 insertions, 8 deletions
diff --git a/source/xap/fvwm/fvwm.SlackBuild b/source/xap/fvwm/fvwm.SlackBuild
index c2696016b..2facd4d96 100755
--- a/source/xap/fvwm/fvwm.SlackBuild
+++ b/source/xap/fvwm/fvwm.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fvwm
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,7 +68,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,11 +77,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix broken symlinks:
-zcat $CWD/fvwm-2.6.7-symlink-fix.patch.gz | patch -p1 --verbose || exit 1
-
-autoreconf -vif
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \